Author: laxathom
Update of /cvs/nonfree/common
In directory se02.es.rpmfusion.net:/tmp/cvs-serv22604
Modified Files:
Makefile.common cvs-import.sh
Log Message:
remove tree specific
Index: Makefile.common
===================================================================
RCS file: /cvs/nonfree/common/Makefile.common,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -r1.9 -r1.10
--- Makefile.common 22 Jul 2008 18:59:19 -0000 1.9
+++ Makefile.common 22 Jul 2008 19:27:17 -0000 1.10
@@ -206,8 +206,8 @@
UPLOAD_CHECK = curl -k $(UPLOAD_CERT) --fail --silent
UPLOAD_CLIENT = curl -k $(UPLOAD_CERT) -v --fail --show-error --progress-bar
-upload-check = $(UPLOAD_CHECK) -F "tree=$(CVSTREE)" -F "name=$(NAME)"
-F "md5sum=$${m%%[[:space:]]*}" -F "filename=$$f"
$(UPLOAD_REPOSITORY)
-upload-file = $(UPLOAD_CLIENT) -F "tree=$(CVSTREE)" -F
"name=$(NAME)" -F "md5sum=$${m%%[[:space:]]*}" -F
"file=@$$f" $(UPLOAD_REPOSITORY)
+upload-check = $(UPLOAD_CHECK) -F "tree=nonfree" -F "name=$(NAME)" -F
"md5sum=$${m%%[[:space:]]*}" -F "filename=$$f" $(UPLOAD_REPOSITORY)
+upload-file = $(UPLOAD_CLIENT) -F "tree=nonfree" -F "name=$(NAME)"
-F "md5sum=$${m%%[[:space:]]*}" -F "file=@$$f" $(UPLOAD_REPOSITORY)
define upload-request
echo "Checking : $$b on $(UPLOAD_REPOSITORY)..." ; \
@@ -241,7 +241,7 @@
endef
# Upload the FILES, adding to the ./sources manifest
-upload: $(TREE) $(FILES)
+upload: $(FILES)
$(check-cert)
@if ! test -f ./sources ; then touch ./sources ; fi
@if ! test -f ./.cvsignore ; then touch ./.cvsignore ; fi
@@ -254,7 +254,6 @@
exit 1 ; \
fi ; \
chmod +r $$f ; \
- CVSTREE=$(TREE) ; \
echo ; $(upload-request) ; echo ; \
if test -z "$$(egrep ""[[:space:]]$$b$$"" sources)" ;
then \
echo "$$m" >> sources ; \
Index: cvs-import.sh
===================================================================
RCS file: /cvs/nonfree/common/cvs-import.sh,v
retrieving revision 1.8
retrieving revision 1.9
diff -u -r1.8 -r1.9
--- cvs-import.sh 22 Jul 2008 19:12:26 -0000 1.8
+++ cvs-import.sh 22 Jul 2008 19:27:17 -0000 1.9
@@ -89,20 +89,20 @@
fi
;;
- -t | --cvstree )
- shift
- if [ -z $1 ] ; then
- CVSTREE=free
- else
- CVSTREE=${CVSTREE:=$1} && export CVSTREE
- fi
- if [ -z "$CVSTREE" ] ; then
- echo "ERROR: --cvstree requires an argument"
- Usage
- exit -1
- fi
- ;;
-
+# -t | --cvstree )
+# shift
+# if [ -z $1 ] ; then
+# CVSTREE=free
+# else
+# CVSTREE=${CVSTREE:=$1} && export CVSTREE
+# fi
+# if [ -z "$CVSTREE" ] ; then
+# echo "ERROR: --cvstree requires an argument"
+# Usage
+# exit -1
+# fi
+# ;;
+#
-m | --message )
shift
MESSAGE="$1"
@@ -314,7 +314,7 @@
rm -f sources && mv sources.new sources
rm -f .cvsignore && mv .cvsignore.new .cvsignore
if [ -n "$UPLOADFILES" ] ; then
- make upload TREE="free" FILES="$UPLOADFILES" || {
+ make upload FILES="$UPLOADFILES" || {
echo "ERROR: Uploading the source tarballs failed!"
exit 9
}
Show replies by date